Skip to main content
POST
/
api
/
v4
/
communities
/
{communityId}
/
join
Join a community
curl --request POST \
  --url https://apix.us.amity.co/api/v4/communities/{communityId}/join \
  --header 'Authorization: Bearer <token>'
{ "joinRequests": [ { "_id": "<string>", "networkId": "<string>", "targetId": "<string>", "targetType": "<string>", "type": "<string>", "userId": "<string>", "status": "<string>", "respondedAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "joinRequestId": "<string>", "requestorId": "<string>", "requestorPublicId": "<string>", "requestorInternalId": "<string>", "responderId": "<string>", "responderPublicId": "<string>", "responderInternalId": "<string>" } ], "users": [ { "userId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "_id": "<string>", "path": "<string>", "userInternalId": "<string>", "userPublicId": "<string>", "roles": [ "<string>" ], "permissions": [ "MUTE_CHANNEL" ], "displayName": "<string>", "profileHandle": "<string>", "description": "<string>", "avatarFileId": "<string>", "avatarCustomUrl": "<string>", "flagCount": 123, "hashFlag": { "bits": 123, "hashes": 123, "hash": [ "<string>" ] }, "metadata": {}, "isGlobalBan": true, "isBrand": true, "isDeleted": true } ], "files": [ { "fileId": "<string>", "fileUrl": "<string>", "type": "image", "accessType": "public", "altText": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "attributes": { "name": "<string>", "extension": "<string>", "size": 123, "mimeType": "<string>", "metadata": { "exif": {}, "gps": {}, "height": 123, "width": 123, "isFull": true } } } ], "roles": [ { "roleId": "<string>", "updatedAt": "2023-11-07T05:31:56Z", "permissions": [ "<string>" ], "isDeleted": false, "displayName": "<string>", "createdAt": "2023-11-07T05:31:56Z" } ] }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

communityId
string
required
Required string length: 1 - 900

Response

Join Community Response

joinRequests
object[]
users
object[]
files
object[]
roles
object[]